RENICE(8)

NAME
renice - alter priority of running processes

SYNOPSIS
renice -n increment [ [-g] pgrp ...] [ [-p] pid ...] [ [-u] user ...]

DESCRIPTION
renice alters the scheduling priority of one or more running processes by increment. Processes may be selected using the parameters pid (process ID), pgrp (process group ID), and user (user name or ID). If no flag is specified, the default is to select by process ID.

Users other than the superuser may only alter the priority of processes they own, and can only monotonically increase their “nice value” within the range 0 to PRIO_MAX (20). (This prevents overriding administrative fiats.) The superuser may alter the priority of any process and set the priority to any value in the range PRIO_MIN (-20) to PRIO_MAX.

Useful priorities are: 20 (the affected processes will run only when nothing else in the system wants to), 0 (the “base” scheduling priority), anything negative (to make things go very fast).

The options are as follows:

-g pgrp ...
    Alter the scheduling priority of all processes in process group pgrp.

-n increment
    A positive or negative decimal integer used to modify the scheduling priority.

-p pid ...
    Alter the scheduling priority of process pid.

-u user ...
    Alter the scheduling priority of all processes belonging to user, which may be a user name or ID.

FILES
/etc/passwd
    for mapping user names to user IDs

EXIT STATUS

EXAMPLES
The following example changes the priority of process IDs 987 and 32, and all processes owned by users daemon and root:

    # renice -n +1 987 -u daemon root -p 32

SEE ALSO
nice(1), getpriority(2), setpriority(2)

STANDARDS
The renice utility is compliant with the p1003.1-2008 specification.

The historical behavior of passing the increment as the first argument is supported for backwards compatibility.

The arguments to flags [-gpu] are extensions to that specification.

HISTORY
The renice command appeared in 4.0BSD.

BUGS
Non-superusers cannot increase scheduling priorities of their own processes, even if they were the ones that decreased the priorities in the first place.